curl --request GET \
--url https://conduit.example.com/conduit.v1.ConduitService/ListConnectorCatalogTools \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>'const options = {
method: 'GET',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/ListConnectorCatalogTools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/ListConnectorCatalogTools"
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://conduit.example.com/conduit.v1.ConduitService/ListConnectorCatalogTools")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/ListConnectorCatalogTools"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connectorId": "<string>",
"status": "CONNECTOR_CATALOG_STATUS_UNSPECIFIED",
"tools": [
{
"name": "<string>",
"description": "<string>",
"annotations": {
"title": "<string>",
"readOnlyHint": true,
"destructiveHint": true,
"idempotentHint": true,
"openWorldHint": true
},
"httpMethod": "<string>",
"httpPath": "<string>"
}
],
"fetchedAt": 123
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}List connector catalog tools
List the live tool catalog for one configured connector
Requires the connectors:read scope.
curl --request GET \
--url https://conduit.example.com/conduit.v1.ConduitService/ListConnectorCatalogTools \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>'const options = {
method: 'GET',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/ListConnectorCatalogTools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/ListConnectorCatalogTools"
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://conduit.example.com/conduit.v1.ConduitService/ListConnectorCatalogTools")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/ListConnectorCatalogTools"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"connectorId": "<string>",
"status": "CONNECTOR_CATALOG_STATUS_UNSPECIFIED",
"tools": [
{
"name": "<string>",
"description": "<string>",
"annotations": {
"title": "<string>",
"readOnlyHint": true,
"destructiveHint": true,
"idempotentHint": true,
"openWorldHint": true
},
"httpMethod": "<string>",
"httpPath": "<string>"
}
],
"fetchedAt": 123
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol
1 Define the timeout, in ms
Query Parameters
Define which encoding or 'Message-Codec' to use
proto, json Specifies if the message query param is base64 encoded, which may be required for binary data
Which compression algorithm to use for this request
identity, gzip, br Define the version of the Connect protocol
v1 Response
Success
The result of resolving a configured connector's catalog. Non-resolved states are successful responses so an inventory job can distinguish a disabled/local/credential-dependent connector from a transient failure.
CONNECTOR_CATALOG_STATUS_UNSPECIFIED, CONNECTOR_CATALOG_STATUS_RESOLVED, CONNECTOR_CATALOG_STATUS_DISABLED, CONNECTOR_CATALOG_STATUS_LOCAL_ONLY, CONNECTOR_CATALOG_STATUS_CREDENTIAL_REQUIRED, CONNECTOR_CATALOG_STATUS_UNAVAILABLE, CONNECTOR_CATALOG_STATUS_TIMED_OUT Show child attributes
Show child attributes
unix seconds; set only when status is RESOLVED
Was this page helpful?